jmarkov

## Enum MarkovProcess.Status

- java.lang.Object
- - java.lang.Enum<MarkovProcess.Status>
  - - jmarkov.MarkovProcess.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MarkovProcess.Status>
  Enclosing class:
    MarkovProcess<S extends State,E extends Event>

      public static enum MarkovProcess.Status
      extends java.lang.Enum<MarkovProcess.Status>

  Status variables

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` Model execution generated an error
    `GENERATED` Model has been generated
    `IDLE` Model has not been generated
    `NoModel` No Model loaded.
    `RUNNING` Model is being generated
    `SUSPENDED` Model execution has been suspended
    `WRITING` Model generated, writing matrix

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MarkovProcess.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MarkovProcess.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDLE

          public static final MarkovProcess.Status IDLE

      Model has not been generated

    - #### RUNNING

          public static final MarkovProcess.Status RUNNING

      Model is being generated

    - #### GENERATED

          public static final MarkovProcess.Status GENERATED

      Model has been generated

    - #### SUSPENDED

          public static final MarkovProcess.Status SUSPENDED

      Model execution has been suspended

    - #### WRITING

          public static final MarkovProcess.Status WRITING

      Model generated, writing matrix

    - #### ERROR

          public static final MarkovProcess.Status ERROR

      Model execution generated an error

    - #### NoModel

          public static final MarkovProcess.Status NoModel

      No Model loaded. (used by GUI)

  - ### Method Detail

    - #### values

          public static MarkovProcess.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MarkovProcess.Status c : MarkovProcess.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MarkovProcess.Status valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null